org.apache.sling.nosql.couchbase.client.impl

## Class CouchbaseClientImpl

- java.lang.Object
- - org.apache.sling.nosql.couchbase.client.impl.CouchbaseClientImpl

All Implemented Interfaces:
  CouchbaseClient

    @Service(value=CouchbaseClient.class)
     @Property(name="webconsole.configurationFactory.nameHint",
              value="{clientId}: {bucketName}")
    public class CouchbaseClientImpl
    extends Object
    implements CouchbaseClient

Default implementation of `CouchbaseClient`.

### Constructor Summary

Constructors
Constructor and Description
`CouchbaseClientImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.couchbase.client.java.AsyncBucket` `getAsyncBucket()`
`com.couchbase.client.java.Bucket` `getBucket()`
`String` `getBucketName()`
`String` `getClientId()`
`boolean` `isEnabled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CouchbaseClientImpl

    public CouchbaseClientImpl()

### Method Detail

#### getClientId

    public String getClientId()

Specified by:
  `getClientId` in interface `CouchbaseClient`
Returns:
  ID to uniquely identify the couchbase client if multiple are defined.

#### isEnabled

    public boolean isEnabled()

Specified by:
  `isEnabled` in interface `CouchbaseClient`
Returns:
  true if Couchbase caching is enabled and configured properly.

#### getBucketName

    public String getBucketName()

Specified by:
  `getBucketName` in interface `CouchbaseClient`
Returns:
  the name of the couchbase bucket to use for caching

#### getBucket

    public com.couchbase.client.java.Bucket getBucket()

Specified by:
  `getBucket` in interface `CouchbaseClient`
Returns:
  Default bucket as configured for the couchbase client provider.

#### getAsyncBucket

    public com.couchbase.client.java.AsyncBucket getAsyncBucket()

Specified by:
  `getAsyncBucket` in interface `CouchbaseClient`
Returns:
  Default asynchronous bucket as configured for the couchbase client provider.